// @ts-check

import { defineConfig } from "astro/config";

import sitemap from "@astrojs/sitemap";
import mdx from "@astrojs/mdx";
import robots from "astro-robots-txt";

// https://astro.build/config
export default defineConfig({
    site: "https://www.ruthenic.com",
    output: "static",
    integrations: [
        sitemap(),
        mdx(),
        robots({
            policy: [
                {
                    userAgent: "*",
                    allow: "/",
                    disallow: "/newtab",
                },
            ],
        }),
    ],
});
