import rss from "@astrojs/rss";
import { getCollection } from "astro:content";

export async function get(context) {
    const posts = (await getCollection("blog"))
        .filter(
            (entry) => !entry.data.wip || process.env.NODE_ENV === "development"
        )
        .map((post) => ({
            title: post.data.title,
            pubDate: post.data.pubDate,
            description: post.data.description,
            link: `/blog/${post.slug}/`,
        }));

    return rss({
        title: "Ruthenic's blog",
        description: "My blog, utilized for talking about random things.",
        site: context.site,
        items: posts,
        stylesheet: "/rssStyle.xsl",
    });
}
